---
title: "Update Team Member Info"
slug: "update-team-member-info"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team Member Info

Post/api/v1/teams.updateMember

Updates a team member's roles.

Permission required: `edit-team-member`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='a3122dc9-8b41-4604-a776-f1d34b3a584a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e104c05b-45d0-4441-9437-d88d7132fe96'>Example</option>
</select>Example

```json
{
  "teamId": "63f3efc4b000b6b6d86704b2",
  "member": {
    "userId": "rYhzFRd2QZjNwAAXX",
    "roles": [
      "owner",
      "leader"
    ]
  }
}
```

Expand Allobject  teamIdstring    Required

Enter the team ID. Alternatively, enter the `teamName` parameter and provide the team's name as the value.

memberobject  Required

The users (IDs and roles) to add or update in the team.

userIdstring    

Enter the user ID.

roles Array  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='edf28715-d5f8-4e73-aeb2-5fd610472127'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0ecc7c6c-e046-447b-a525-3e44dde25a17'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='9495dc3f-fcde-4885-a2e8-fe4cf987852c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8a016a48-82f1-46f5-976a-8207c67af689'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
